/* Run this script to set up the desktop    */
/* object to change skins in Data Shield    */
/*                                          */
/*                                          */
/* When adding new skins you may add to     */
/* this objects parameters                  */
/*                                          */
/* Run this from the Data Shield directory  */
/*                                          */

/* Load RexxUtil DLL                        */
call RxFuncAdd 'SysLoadFuncs' , RexxUtil, 'SysLoadFuncs'
call SysLoadFuncs
Call SysCls

crlf='0d0a'x
say 'This script sets up the desktop object to change skins for Data Shield'||crlf crlf
say 'Be sure you have unzipped the skins archive so the directories are'
say 'created directly under the Data Shield directory.'||crlf crlf

/* Is the Data Shield in this directory?     */
say 'Locating dshield.exe...'
if Stream('dshield.exe','C','Query Exists') = '' then do
   say 'Please run this program from the same directory as the dshield.exe file'
   say ''
   say 'Exiting...'
   exit
end

/* Create the desktop object                */
Title    ='Data Shield Skins'
Setup    ='OBJECTID=<DS_SKIN>;'||,
           'EXENAME=' || Directory() || '\SKIN.CMD;' ||,
           'STARTUPDIR=' || Directory() || ';' ||,
           'PARAMETERS=' || '[Choices: Marble Cyan Logs];' ||,
           'MINIMIZED=YES;' ||,
           'PROGTYPE=WINDOWABLEVIO;'

call SysCreateObject "WPProgram", Title, "<WP_DESKTOP>", Setup, 'Update'
/* Check if the WPS object was created   */
if rc = 0 then
   say 'Object creation for 'Title ' failed!  rc='rc
else
   say 'Object created for' Title
